# CGESO

<img src="https://i.imgur.com/ESqsvse.png">

A Public Domain leveling guide produced by Zygor Guides, updated and maintained by Hydra9268. The purpose of this project is to add leveling guides for new content and extend the life for as long as ESO is available.

* Zygor's Discontinued support announcement: https://zygorguides.com/blog/zygor-guides-elder-scrolls-online-guides-going-free-use/
* Zygor staff okaying community development: http://zygorguides.com/forum/showthread.php?21769-Summerset-Question&p=121501&viewfull=1#post121501
<br/>

----
<img src="https://i.imgur.com/27kT29T.png">

Install through the excellent add-on manager <a href="https://minion.mmoui.com/" target="blank">Minion</a>

#### Libraries Required

* LibGPS, LibMapPing, LibDebugLogger, LibChatMessage<br/><br/>

----

<br/>

### Recent Updates
### 01/13/2024
### Southern Elsweyr Full Guide
* - Highlight Objectives
* - Minor Fixes
### Southern Elsweyr Main Quest Only
* - Highlight Objectives
* - Minor Fixes
### Imperial City Full Guide
* - Highlight Objectives
* - Major and Minor Fixes
* - Completely Revamped
### Southern Elsweyr Main Quest Only
* - Highlight Objectives
* - Major and Minor Fixes
* - Completely Revamped

### Recent Updates
### 01/06/2024
### Full Guide
* - Major & Minor Changes
* - Highlight Objectives
* - Major and Minor Fixes
* - More Dialogue Options
* - Broken Zones Completely Revamped
### Main Quest Only
* - Major & Minor Changes
* - Highlight Objectives
* - Major and Minor Fixes
* - More Dialogue Options
* - Broken Zones Completely Revamped

### 09/17/2023
* Map Revamp
* MQO DLC
* Highlight Objectives
* Minor Fixes
* More Dialogue Options
* Lorebook Guides
* Skyshard and Delve Guide
* Minor Fixes

### 06/09/2023
* Fix Typo in Azandar Al-Cybiades Guide
* Fixed Wayshrine name change made by Zenimax from Baandari Trading Post Wayshrine to Baandari Market Wayshrine.

### 06/04/2023 Necrom: Shadows Over Morrowind
<img src="https://i.imgur.com/ESqsvse.png">

* Change ZGESO > CGESO
* Removed Old Un-used Coding
* Necrom: Shadows Over Morrowind
* Full Guide with Skyshards and Delves
* Main Quest Only
* Companion: Azandar Al-Cybiades
* Companion: Sharp-as-Night
* Map Revamp
* Legacy Guides
* Full Guide and Main Quest Only.
* Hightlight Objective, More dialogue Options, and Minor Fixes.
* Fix All Skyshards and Delves For Account-Wide Achievements.

### 02/17/23
* Cadwell's Gold Error for DC

### 11/7/2022
* Fixed Map Issue in Grahtwood
* Fixed Map Issue in Reapers March
  
### 11/01/2022 Firesong Guide
* Rewrite Aldmeri Dominion Legacy Guide For Accountwide Achievements
* Reimplement and complete re-write of Imperial City Guide and Maps
* Rewrite Daggerfall Covenant Legacy Guide For Accountwide Achievements
* Rewrite Ebonheart Pact Legacy Guide For Accountwide Achievements
* Firesong DLC (Main Quest Only & Full Guide with Delves & Skyshards)

### 06/06/2022
* Edited Vvardenfel step to Examine Bothamul's Orders because the syntax looked incorrect
* Edited the Readme to add some things from the manifext file
* Removed superfluous stuff like Lua comments from the manifest file because that's not a valid comment.
* However, only adding needed lines is always best.
* Used 7zip to make the .zip file using its Zip format rather then the 7z format

### 06/06/2022
* Completed All DLC Main Quest Only Guides.
* Added Ember and Isobel Veloise Companion Guides.
* Added All Rapport Guide for all 4 Companions.
* Added Main Guide Only for High Isle and Amenos
* Complete High Isle and Amenos Leveling Guide.

### 05/29/2022
* Fixes Isle of Balfiera bug due to API change

### 04/16/2022
* Fixed Map name bug in Northern Elsweyr

### 04/16/2022
* Created Legacy Main Quest Only Guides
* Fixed Various Issues

### 11/2/2021
* Fixed Typo in Southern Elsweyr

### 11/2/2021
* Fixed Vulkhel Guard Map issues in Blackwood Prologue guide.

### 10/31/2021
### Deadlands DLC
* Include Skyshards, Delves and all quests.

### Wrothgar
* Added Skyshards, Delves, and Missing Quests
* Reorganized quest order to have sidequests done along side storyline to speed up guide.

### Thieves Guild
* Added Skyshards, Delves, and Faction commands for certain quests that require it.

### Dark Brotherhood
* Added Skyshards ,Delves, and Added missing quests.

### Vvardenfell
* Added Prologue, Skyshards, Delves, Missing Quests, and Clarification steps.

### Clockwork City
* Added Prologue, Skyshards, Delves, Missing Quests, and Clarification steps.

### Summerset
* Added Prologue, Missing Quests, Skyshards, Delves, and Commands to steps to alieviate alot of Manual skips

### Murkmire
* Added Prologue, Missing Quests, Skyshards, Delves
* Commands to steps to alieviate alot of Manual --skips

### Northern Elsweyr
* Added Prologue, Missing Quest, Skyshards, Delves, Commands to steps to alieviate alot of Manual skips
* Reordered Quest for faster guide

### Blackwood
* Removed Companion quests from main guide and moved them into miscellanous
* Each Companion has its own guide now.
* 6/1/21 Blackwood, Dragonhold (Southern Elsweyr), and Craglorn guides now available (Thank you, snichols7778)! 
* 3/27/21 Skyrim Guides Now Available (Thanks to snichols7778)!
* 3/13/21 merge: Sharlikran: Misc changes and updates
* 3/13/21 merge: Sharlikran: Removed embedded libraries. Fixed /cgpos output
* 3/13/21 merge: Krandor1: Fix for the two glumbra bugs reported by AegonVI
* 3/13/21 merge: Krandor1: Reorder bleakrock quests so hero of bleakrock achivement can be earned. Bug request from Cavanoskus on forums.
* 11/2/20: API version now supports Dragonhold
* 8/12/20: API version now supports Scalebreaker
* 7/27/20: Northern Elsweyr Guide Out Now!

# Development Guide

### Development HOW-TO


`goto wailingprison4_base 50.00,50.00`
* `goto` = Tells the arrow where to point. Auto-advances to the next step if nothing but goto and step exist.
* `wailingprison4_base` = the current map's DDS reference. It only works when the user is in the zone.
* `50.00,50.00` = the floating-point x and y coordinates. Decimal values are optional but highly recommended for precision.
* Tip: Once the map's DDS is declared, you can exclude it in subsequent steps as long as the player stays in that zone. (e.g., `goto 50.00,50.00`)

#### These actions auto-advance to the next step

`accept` = Accept quests.<br/>
`turnin` = Turn in quests.<br/>
`wayshrine` = Discover wayshrines.<br/>
`step` = Declares a guide step (Auto-advance based on `goto` and `step` or if the condition of another action like wayshrine or accept is met).<br/>


#### These actions are purely visual and do not auto-advance to the next step

`talk` = Talk to NPCs.<br/>>
`'` = Adds general information.<br/>


#### Goal Handlers - requires a pipe | in front to activate (e.g. |tip, |q, |count)

`|q` = Creates a step in CGESO's progress bar. It also denotes the current step's quest.

`/` = Placed on the same line after `|q`. The slash checks for a completed task in the Quest Journal for the current step's quest. Important: Must match the task word-for-word, space-for-space to register as completed.

`|tip` = Handler for displaying tips in a small font. Note: placing a `|tip` in a `goto` step prevents the action from automatically going to the next step when meeting the condition.

`|next Aldmeri Dominion Leveling Guides\\Khenarthi's Roost` = Instructs CGESO to go to another guide
* `next` = Handler that tells the guide to load another guide
* `Aldmeri Dominion Leveling Guides\\Khenarthi's Roost` = the RegisterGuide to load

`|count #` = Handler to track a sequence of objectives

For Example:
`|q The Waking Darkness/.*Cleanse the Mausoleums.* |count 2`
* `q` Quest tracking
* `The Waking Darkness` Name of quest
* `/.*Cleanse the Mausoleums.*` Quest objective (Formatting required `/.*Name of Objectve.*`)
* `|count 2` Current objective number

`|or` = Handler for dialog choices. Important: You need to put the |or handler on each selection.

For example<br>
```
'Choose either a Marine or Wizard to help you
|tip It doesn't matter, just personal preference.
'Talk to either _Sergeant Firion_ or _Gathwen_
'Choose the Marine to help you |q The Tempest Unleashed/The Marine |or
'_OR_
'Choose the Wizard to help you |q The Tempest Unleashed/The Wizard |or
step
```

*To see a complete list of Types and Handlers, review Goal.lua. If you have questions, feel free to ask.*

----

### Slash commands

* `/re` = /reloadui
* `/cgpos` - For city and delve data. Also displays the map's correct DDS filename.
* `/cgpos gps` - For general map data. Works in any map.
* `/dump CGFunctionName(arguments)` - A way to execute ESO's and CGESO's public functions<br> (e.g. `/dump CGV.Pointer:GetDistToCoords(alinor_base,48.80,54.64)`)

#### /dump functions of note:

* `/dump CGV.Data:GetQuestIdByName("A City in Black")` - Returns the Quest ID
* `/dump CGV.Quests:IsQuestComplete("A City in Black")` - Returns a boolean
* `/dump CGV.Quests:HasQuest("A City in Black")` - Returns a boolean
* `/dump d(GetCurrentMapIndex())` - Returns the zone's ID. Tip: some functions require the `d()` command to display the output.


----

### Addon Resource

* <a href="https://esoui.com/downloads/fileinfo.php?id=2062#info" target="_blank">Addon page on ESO UI</a>
* <a href="https://www.zygorguides.com/forum/forumdisplay.php?84-Leveling-Guides" target="_blank">Discussion forum related to Zygor's original ESO</a> (Deprecated, I no longer visit)

----

### Additional Resources

* https://esodata.uesp.net/100035/functioncalls.txt
* https://esodata.uesp.net/100035/
* https://wiki.esoui.com/API
* https://wiki.esoui.com/Texture_List
* https://mothereff.in/lua-minifier
* https://esomap.uesp.net/
* https://en.uesp.net/wiki
* https://game-maps.com/ESO/The-Elder-Scrolls-Online.asp
* https://andylangton.co.uk/tools/colour-converter
