-----------------------------------------
-- LOCALIZED GLOBAL VARIABLES
-----------------------------------------

local CGV = _G.CGV
local Data = {}
local Travel

-----------------------------------------
-- SAVED REFERENCES
-----------------------------------------

Travel = CGV.Travel
Travel.Data = Data

-----------------------------------------
-- MAP DATA
-----------------------------------------

--[[
	\s*(\[.*\]) = ([0-9]*),\n  	->	\t\1 = \2,\n
	\t(\[.*\]) = ([0-9]*)		->	\t\2##\1 = \2
	\t[0-9]*##			->	\t
--]]


Data.MapIdsByName = {
   -- Aldmeri Dominion
   -- Khenarthi's Roost    
   ["Khenarthi's Roost"]                   =   1,
   ["Temple of the Mourning Springs"]      =   2,
   ["Hazak's Lair"]                        =   3,
   ["Shattered Shoals"]                    =   4,
   ["The Mangroves"]                       =   5,
   ["Mistral"]                             =   6,
   ["Cat's Eye Quay"]                      =   7,

   -- Auridon
   ["Vulkhel Guard"]                       =   8,
   ["Vulkhel Guard Outlaws Refuge"]        =   9,
   ["Auridon"]                             =  10,
   ["Del's Claim"]                         =  11,
   ["Ondil"]                               =  12,
   ["Phaer Catacombs"]                     =  13,
   ["Inner Tanzelwil"]                     =  14,
   ["Tower of the Vale - Temple"]          =  15,
   ["Tower of the Vale - Rage"]            =  16,
   ["Merion's Bliss - Lower"]              =  17,
   ["Merion's Bliss - Upper"]              =  18,
   ["Tower of the Vale - Despair"]         =  19,
   ["Sanessalmo's Lair"]                   =  20,
   ["Entila's Folly"]                      =  21,
   ["Smuggler's Tunnel"]                   =  22,
   ["Skywatch"]                            =  23,
   ["Skywatch Sanctum"]                    =  24,
   ["The Veiled Keep"]                     =  25,
   ["Ezduiin Undercroft"]                  =  26,
   ["Wansalen"]                            =  27,
   ["Quendeluum South Ruins"]              =  28,
   ["Abadoned Mine"]                       =  29,
   ["Bewan"]                               =  30,
   ["Saltspray Cave"]                      =  31,
   ["Torinaan Central Shrine"]             =  32,
   ["Torinaan Shrines"]                    =  33,
   ["Mehrunes' Spite"]                     =  34,
   ["The Vault of Exile"]                  =  35,
   ["Firsthold"]                           =  36,
   ["The Refuge of Dredd"]                 =  37,

   -- Grahtwood
   ["Grahtwood"]                           =  38,
   ["Haven"]                               =  39,
   ["The Aquifer"]                         =  40,
   ["Sacred Leap Grotto"]                  =  41,
   ["The Scuttle Pit"]                     =  42,
   ["Brackenleaf"]                         =  43,
   ["Elden Root"]                          =  44,
   ["Elden Root Outlaws Refuge"]           =  45,
   ["Cave of Broken Sails"]                =  46,
   ["Gray Mire"]                           =  47,
   ["Barrowbough"]                         =  48,
   ["Cathedral of the Golden Path"]        =  49,
   ["Ne Salas"]                            =  50,
   ["Mobar Mine"]                          =  51,
   ["The Middens"]                         =  52,
   ["Vinedeath Cave"]                      =  53,
   ["Ossuary of Telacar"]                  =  54,
   ["Laeloria Ruins"]                      =  55,
   ["Karthdar"]                            =  56,
   ["Cormount Prison"]                     =  57,
   ["Reliquary Ruins"]                     =  58,
   ["Reliquary Vault"]                     =  59,
   ["Ancient Cave"]                        =  60,
   ["Faltonia's Mine"]                     =  61,
   ["Barkbite Cave"]                       =  62,
   ["Barkbite Mine"]                       =  63,
   ["Refur Trading Post"]                  =  64,
   ["Tomb of Anahbi"]                      =  65,
   ["Burroot Kwama Mine"]                  =  66,
   ["Gil-Var-Delle Abandoned Cave"]        =  67,
   ["Nairume's Prison"]                    =  68,
   ["The Orrery"]                          =  69,
   ["Wormroot Depths"]                     =  70,

   -- Greenshade
   ["Marbruk"]                             =  71,
   ["Marbruk Outlaws Refuge"]              =  72,
   ["Greenshade"]                          =  73,
   ["Guzrag's Mine"]                       =  74,
   ["Camp Gushnukbur"]                     =  75,
   ["Shrouded Hollow"]                     =  76,
   ["Fading Tree"]                         =  77,
   ["Carac Dena"]                          =  78,
   ["Silatar"]                             =  79,
   ["Hollow Den"]                          =  80,
   ["Shademist Enclave"]                   =  81,
   ["Naril Nagaia"]                        =  82,
   ["Woodhearth"]                          =  83,
   ["Imperial Underground"]                =  84,
   ["Ilmyris"]                             =  85,
   ["Serpent's Grotto"]                    =  86,
   ["The Underroot"]                       =  87,
   ["Abecean Sea"]                         =  88,
   ["Old Merchant Caves"]                  =  89,
   ["Harridan's Lair"]                     =  90,
   ["Nereid Temple Cave"]                  =  91,
   ["Falinesti Cave"]                      =  92,
   ["Hectahame Grotto"]                    =  93,
   ["Isles of Torment"]                    =  94,
   ["Barrow Trench"]                       =  95,

   -- Malabal Torinaan
   ["Malabal Tor"]                         =  96,
   ["Velyn Harbor"]                        =  97,
   ["Velyn Harbor Outlaws Refuge"]         =  98,
   ["Stormwarden Undercroft"]              =  99,
   ["Dead Man's Drop"]                     = 100,
   ["Tomb of the Apostates"]               = 101,
   ["Hoarvor Pit"]                         = 102,
   ["Vulkwasten"]                          = 103,
   ["Ogrim's Yawn"]                        = 104,
   ["Abamath Ruins"]                       = 105,
   ["Shrine of Mauloch"]                   = 106,
   ["Shael Ruins"]                         = 107,
   ["Belarata"]                            = 108,
   ["Roots of Silvenar"]                   = 109,
   ["Ouze"]                                = 110,
   ["Baandari Trading Post"]               = 111,
   ["Roots of Treehenge"]                  = 112,
   ["Black Vine Ruins"]                    = 113,
   ["The Hunting Grounds"]                 = 114,
   ["Silvenar Throne Room"]                = 115,
   ["Nchuleftingth Approach"]              = 116,

   -- Reapers March
   ["Reapers March"]                       = 117,
   ["Vinedusk Village Corridor"]           = 118,
   ["Vinedusk Village"]                    = 119,
   ["Khaj Rawlith"]                        = 120,
   ["Senalana"]                            = 121,
   ["Arenthia"]                            = 122,
   ["Greenhill Catacombs"]                 = 123,
   ["Thibaut's Cairn"]                     = 124,
   ["Halls of Ichor"]                      = 125,
   ["Rawl'kha"]                            = 126,
   ["Rawl'kha Outlaws Refuge"]             = 127,
   ["Rawl'kha Temple"]                     = 128,
   ["Weeping Wind Cave"]                   = 129,
   ["Moonmont Temple"]                     = 130,
   ["Do'Krin Temple"]                      = 131,
   ["The Five Finger Dance"]               = 132,
   ["Claw's Strike"]                       = 133,
   ["Old S'ren-ja Cave"]                   = 134,
   ["Rainshadow Cave"]                     = 135,
   ["Cleft Rock Cave"]                     = 136,
   ["Jode's Light"]                        = 137,
   ["Kuna's Delve"]                        = 138,
   ["Ren-dro Caverns"]                     = 139,
   ["Fort Sphinxmoth"]                     = 140,
   ["Fardir's Folly"]                      = 141,
   ["Dune"]                                = 142,
   ["Temple of the Dance"]                 = 143,
   ["The Demi-Plane of Jode"]              = 144,
   ["The Wild Hunt"]                       = 145,
   ["Urcelmo's Betryal"]                   = 146,
   ["Den of Lorkhaj"]                      = 147,

   -- Daggerfall Covenant
   -- Stros M'Kai
   ["Port Hunding"]                        = 148,
   ["The Grave"]                           = 149,
   ["Stros M'Kai"]                         = 150,
   ["Goblin Mines"]                        = 151,
   ["Bthzark"]                             = 152,

   -- Betnikh
   ["Stonetooth Fortress"]                 = 153,
   ["Betnikh"]                             = 154,
   ["Bloodthorn Lair"]                     = 155,
   ["Ancient Carzog's Demise"]             = 156,
   ["Moriseli"]                            = 157,
   ["Carzog's Demise"]                     = 158,

   -- Glenumbra
   ["Daggerfall"]                          = 159,
   ["Glenumbra"]                           = 160,
   ["Daggerfall Outlaws Refuge"]           = 161,
   ["Ilessan Tower"]                       = 162,
   ["East Hut Portal Cave"]                = 163,
   ["South Hut Portal Cave"]               = 164,
   ["West Hut Portal Cave"]                = 165,
   ["North Hut Portal Cave"]               = 166,
   ["Silumm"]                              = 167,
   ["Enduum"]                              = 168,
   ["Dresan Keep"]                         = 169,
   ["Aldcroft"]                            = 170,
   ["Mines of Khuras"]                     = 171,
   ["Desolation's End"]                    = 172,
   ["Ebon Crypt"]                          = 173,
   ["Cath Bedraud"]                        = 174,
   ["Angof's Sanctum"]                     = 175,
   ["Tomb of Lost Kings"]                  = 176,
   ["Cryptwatch Fort"]                     = 177,
   ["Crosswych"]                           = 178,
   ["Crosswych Mine"]                      = 179,

   -- Stormhaven
   ["Stormhaven"]                          = 180,
   ["Koeglin Village"]                     = 181,
   ["Alcaire Castle"]                      = 182,
   ["Windridge Cave"]                      = 183,
   ["Portdun Watch"]                       = 184,
   ["Koeglin Mine"]                        = 185,
   ["Pariah Catacombs"]                    = 186,
   ["Wayrest"]                             = 187,
   ["Wayrest Outlaws Refuge"]              = 188,
   ["Farangel's Delve"]                    = 189,
   ["Bearclaw Mine"]                       = 190,
   ["Godrun's Dream"]                      = 191,
   ["Norvulk Ruins"]                       = 192,
   ["Aphren's Tomb"]                       = 193,
   ["Emeric's Dream"]                      = 194,

   -- Rivenspire
   ["Rivenspire"]                          = 195,
   ["Shornhelm"]                           = 196,
   ["Shornhelm Outlaws Refuge"]            = 197,
   ["Fevered Mews"]                        = 198,
   ["Crestshade Mine"]                     = 199,
   ["Doomcrag Shrouded Pass"]              = 200,
   ["Shadowfate Cavern"]                   = 201,
   ["Hoarfrost Downs"]                     = 202,
   ["Tribulation Crypt"]                   = 203,
   ["Lorkrata Ruins"]                      = 204,
   ["Edrald Undercroft"]                   = 205,
   ["Flyleaf Catacombs"]                   = 206,
   ["Northpoint"]                          = 207,
   ["Breagha-Fin"]                         = 208,
   ["Orc's Finger Ruins"]                  = 209,
   ["Hildune's Secret Refuge"]             = 210,
   ["Erokii Ruins"]                        = 211,
   ["Shrouded Pass"]                       = 212,
   ["Doomcrag"]                            = 213,
   ["Obsidian Scar"]                       = 214,

   -- Alik'r Desert
   ["Sentinel"]                            = 215,
   ["Sentinel Outlaws Refuge"]             = 216,
   ["Alik'r Desert"]                       = 217,
   ["Shore Cave"]                          = 218,
   ["Impervious Vault"]                    = 219,
   ["Santaki"]                             = 220,
   ["Salas En"]                            = 221,
   ["The Portal Chamber"]                  = 222,
   ["Ash'abah Pass"]                       = 223,
   ["Yokudan Palace"]                      = 224,
   ["Divad's Chagrin Mine"]                = 225,
   ["Bergama"]                             = 226,
   ["Magistrate's Basement"]               = 227,
   ["Aldunz"]                              = 228,
   ["The Master's Crypt"]                  = 229,
   ["Kulati Mines"]                        = 230,
   ["Coldrock Diggings"]                   = 231,
   ["Sandblown Mine"]                      = 232,
   ["Yldzuun"]                             = 233,
   ["Kozanset"]                            = 234,
   ["Smuggler King's Tunnel"]              = 235,
   ["Suturah's Crypt"]                     = 236,
   ["Lost City of the Na- Totambu"]        = 237,

   -- Bangkorai
   ["Evermore"]                            = 238,
   ["Evermore Outlaws Refuge"]             = 239,
   ["Bangkorai"]                           = 240,
   ["Bisnensel"]                           = 241,
   ["Torog's Spite"]                       = 242,
   ["Crypt of the Exiles"]                 = 243,
   ["Troll's Toothpick"]                   = 244,
   ["Nchu Duabthar Threshold"]             = 245,
   ["Viridian Watch"]                      = 246,
   ["Bangkorai Garrison"]                  = 247,
   ["Sunken Road"]                         = 248,
   ["Klathzgar"]                           = 249,
   ["Rubble Butte"]                        = 250,
   ["Nilata Ruins"]                        = 251,
   ["Anexiel's Lair"]                      = 252,
   ["Hallin's Stand"]                      = 253,
   ["Onsi's Breath Mine"]                  = 254,
   ["Hall of Heroes"]                      = 255,
   ["The Far Shores"]                      = 256,

   -- Ebonheart Pact
   -- Bleakrock Isle
   ["Bleakrock Village"]                   = 257,
   ["Bleakrock Isle"]                      = 258,
   ["Skyshroud Barrow"]                    = 259,
   ["Hozzin's Folly"]                      = 260,
   ["Orkey's Hollow"]                      = 261,
   ["Last Rest"]                           = 262,

   -- Stonefalls
   ["Bal Foyen"]                           = 263,
   ["Dhalmora"]                            = 264,
   ["Smuggler's Tunnel"]                   = 265,
   ["Stonefalls"]                          = 266,
   ["Davon's Watch"]                       = 267,
   ["House Indoril Crypt"]                 = 268,
   ["Davon's Watch Outlaws Refuge"]        = 269,
   ["Charred Ridge"]                       = 270,
   ["Ash Mountain"]                        = 271,
   ["Inner Sea Armature"]                  = 272,
   ["Emberflint Mine"]                     = 273,
   ["Mephala's Nest"]                      = 274,
   ["Fort Arand Dungeons"]                 = 275,
   ["Ebonheart"]                           = 276,
   ["Coral Heart Chamber"]                 = 277,
   ["Hightide Hollow"]                     = 278,
   ["Heimlyn Keep Reliquary"]              = 279,
   ["Fort Virak Ruin"]                     = 280,
   ["Iliath Temple Mines"]                 = 281,
   ["Sheogorath's Tongue"]                 = 282,
   ["Kragenmoor"]                          = 283,
   ["House Dres Crypts"]                   = 284,
   ["Softloam Cavern"]                     = 285,
   ["Tormented Spire"]                     = 286,

   -- Deshaan
   ["Deshaan"]                             = 287,
   ["Quarantine Serk Catacombs"]           = 288,
   ["Narsis"]                              = 289,
   ["Narsis Ruins"]                        = 290,
   ["Lady Llarel's Shelter"]               = 291,
   ["Obisdian Gorge"]                      = 292,
   ["Apothacarium"]                        = 293,
   ["Mzithumz"]                            = 294,
   ["Mournhold"]                           = 295,
   ["Mournhold Outlaws Refuge"]            = 296,
   ["Mournhold Sewers"]                    = 297,
   ["The Triple Circle Mine"]              = 298,
   ["Tribunal Temple"]                     = 299,
   ["Bthanual"]                            = 300,
   ["Lower Bthanual"]                      = 301,
   ["Deepcrag Den"]                        = 302,
   ["Shad Astula Underhalls"]              = 303,
   ["Taleon's Crag"]                       = 304,
   ["Vale of the Ghost Snake"]             = 305,
   ["Tal'Deic Crypts"]                     = 306,
   ["The Shrine of St. Veloth"]            = 307,
   ["The Corpse Garden"]                   = 308,
   ["Knife Ear Grotto"]                    = 309,
   ["Eidolon's Hollow"]                    = 310,
   ["Reservoir of Souls"]                  = 311,
   ["Forgotten Crypts"]                    = 312,
   ["Sondivel's Lair"]                     = 313,

   -- Shadowfen
   ["Shadowfen"]                           = 314,
   ["Stormhold"]                           = 315,
   ["Stormhold Guild Hall"]                = 316,
   ["Stormhold Mortuary"]                  = 317,
   ["Silyanorn Ruins"]                     = 318,
   ["Stormhold Outlaws Refuge"]            = 319,
   ["Shrine of the Black Maw"]             = 320,
   ["Odious Chapel"]                       = 321,
   ["Mud Tree Mine"]                       = 322,
   ["Mudshallow Cave"]                     = 323,
   ["Ruins of Ten-Maur-Wolk"]              = 324,
   ["Lair of the Skin Stealer"]            = 325,
   ["Alten Corimont"]                      = 326,
   ["Tsanji's Hideout"]                    = 327,
   ["Atanaz Ruins"]                        = 328,
   ["Broken Tusk"]                         = 329,
   ["Onkobra Kwama Mine"]                  = 330,
   ["Percolating Mire"]                    = 331,
   ["Sunscale Ruins"]                      = 332,
   ["Grandranen Ruins"]                    = 333,
   ["Hissmir Ruins"]                       = 334,
   ["Temple of Sul"]                       = 335,
   ["White Rose Prison Dungeon"]           = 336,
   ["Child-Moska Ruins"]                   = 337,
   ["Loriasel"]                            = 338,
   ["Vision of the Hist"]                  = 339,

   -- Eastmarch
   ["Windhelm"]                            = 340,
   ["Windhelm Outlaws Refuge"]             = 341,
   ["Eastmarch"]                           = 342,
   ["The Chill Hollow"]                    = 343,
   ["Hall of Trials"]                      = 344,
   ["Icehammer's Vault"]                   = 345,
   ["Fort Morvunskar"]                     = 346,
   ["Giant's Run"]                         = 347,
   ["Fort Amol"]                           = 348,
   ["Lost Knife Cave"]                     = 349,
   ["The Frigid Grotto"]                   = 350,
   ["Bonestrewn Crest"]                    = 351,
   ["Wittestadr Crypts"]                   = 352,
   ["Mistwatch Crevasse"]                  = 353,
   ["Old Sord's Cave"]                     = 354,
   ["Stormcrag Crypt"]                     = 355,
   ["The Bastard's Tomb"]                  = 356,
   ["Mzulft"]                              = 357,
   ["Cragwallow"]                          = 358,

   -- The Rift
   ["Shor's Stone"]                        = 359,
   ["The Rift"]                            = 360,
   ["Shor's Stone Mine"]                   = 361,
   ["Fallowstone Vault"]                   = 362,
   ["Northwind Mine"]                      = 363,
   ["Vaults of Vernim"]                    = 364,
   ["Snapleg Cave"]                        = 365,
   ["Nimalten"]                            = 366,
   ["Nimalten Barrow"]                     = 367,
   ["Shroud Hearth Barrow"]                = 368,
   ["Pinepeak Caverns"]                    = 369,
   ["Taarengrav"]                          = 370,
   ["Arcwind Point"]                       = 371,
   ["Avanchnzel"]                          = 372,
   ["Riften"]                              = 373,
   ["Riften Outlaws Refuge"]               = 374,
   ["Fort Greenwall"]                      = 375,
   ["Faldar's Tooth"]                      = 376,
   ["Lost Prospect"]                       = 377,
   ["Broken Helm Hollow"]                  = 378,
   ["Dragon Cult Temple"]                  = 379,
   ["Trolhetta Cave"]                      = 380,
   ["Trolhetta Summit"]                    = 381,

   -- Coldharbour
   ["Stirk"]                               = 382,
   ["Coldharbour"]                         = 383,
   ["The Hollow City"]                     = 384,
   ["Tower of Lies"]                       = 385,
   ["The Grotto of Depravity"]             = 386,
   ["Haj Uxith"]                           = 387,
   ["Library of Dusk"]                     = 388,
   ["Lightless Oubliette"]                 = 389,
   ["Lightless Cell"]                      = 390,
   ["Aba-Loria"]                           = 391,
   ["The Vile Laboratory"]                 = 392,
   ["Holding Cells"]                       = 393,
   ["The Cave of Trophies"]                = 394,
   ["The Vault of Haman Forgefire"]        = 395,
   ["Thane's Lair"]                        = 396,
   ["The Black Forge"]                     = 397,
   ["The Great Shackle"]                   = 398,
   ["The Mooring"]                         = 399,
   ["Grunda's Gatehouse"]                  = 400,
   ["Mal Sorra's Tomb"]                    = 401,
   ["The Manor of Revelry"]                = 402,
   ["The Manor of Revelry Cave"]           = 403,
   ["The Wailing Maw"]                     = 404,
   ["The Lost Fleet"]                      = 405,
   ["Reaver Citadel Pyramid"]              = 406,
   ["The Endless Stair"]                   = 407,

   -- Five Companions
   ["The Wailing Prison"]                  = 408,
   ["The Harborage"]                       = 409,
   ["Vision of the Companions"]            = 410,
   ["The Foundry of Woe"]                  = 411,
   ["The Worm's Retreat"]                  = 412,
   ["Castle of the Worm"]                  = 413,
   ["The Halls of Torment"]                = 414,
   ["The Valley of Blades"]                = 415,
   ["Sancre Tor"]                          = 416,
   ["Heart's Grief"]                       = 417,
   ["The Colored Rooms"]                   = 418,

   -- Fighters Guild
   ["Buraniim"]                            = 419,
   ["Dourstone Vault"]                     = 420,
   ["Stonefang Cavern"]                    = 421,
   ["Mzeneldt"]                            = 422,
   ["Abagarlas"]                           = 423,
   ["The Earth Forge"]                     = 424,
   ["Ragnthar"]                            = 425,
   ["Halls of Submission"]                 = 426,

   -- Mages Guild
   ["Cheesemonger's Hollow"]               = 427,
   ["Shivering Isles"]                     = 428,
   ["Vuldngrav"]                           = 429,
   ["Asakala"]                             = 430,
   ["Circus of Cheerful Slaughter"]        = 431,
   ["Chateau of the Ravenous Rodent"]      = 432,
   ["Chateau Master Bedroom"]              = 433,
   ["Eyevea"]                              = 434,

   -- Cyrodiil
   ["Western Elsweyr Gate"]                = 435,
   ["Eastern Elsweyr Gate"]                = 436,
   ["Southern High Rock Gate"]             = 437,
   ["Northern High Rock Gate"]             = 438,
   ["Northern Morrowind Gate"]             = 439,
   ["Southern Morrowind Gate"]             = 440,
   ["Cyrodiil"]                            = 441,

   -- Imperial City
   ["Irrigation Tunnels"]                  = 442,
   ["Lambent Passage"]                     = 443,
   ["Harena Hypogeum"]                     = 444,
   ["Imperial City"]                       = 445,
   ["Dragonfire Cathedral"]                = 446,

   -- Craglorn
   ["Belkarth"]                            = 447,
   ["Belkarth Outlaws Refuge"]             = 448,
   ["Craglorn"]                            = 449,
   ["Buried Sands"]                        = 450,
   ["Tombs of the Na'Totambu"]             = 451,
   ["Haddock's Market"]                    = 452,
   ["Frost Monarch Lair"]                  = 453,
   ["Storm Lair"]                          = 454,
   ["Molavar"]                             = 455,
   ["Balamath"]                            = 456,
   ["Balamath Library"]                    = 457,
   ["Balamath Hall"]                       = 458,
   ["Reinhold's Retreat"]                  = 459,
   ["Dragonstar"]                          = 460,
   ["Fearfangs Caverns"]                   = 461,
   ["Sunken Lair"]                         = 462,
   ["Serpent's Nest"]                      = 463,
   ["Ilthag's Undertower"]                 = 464,
   ["Exarch's Stronghold"]                 = 465,
   ["The Howling Sepulchers"]              = 466,
   ["Loth'Na Caverns"]                     = 467,
   ["Skyreach Temple"]                     = 468,
   ["Apex Stone Room"]                     = 469,
   ["Rkundzelft"]                          = 470,
   ["Hircine's Haunt"]                     = 471,
   ["Elinhir Sewerworks"]                  = 472,
   ["Mtharnaz"]                            = 473,
   ["Ruins of Kardala"]                    = 474,
   ["Chiselshriek Mine"]                   = 475,
   ["Rkhardahrk"]                          = 476,
   ["Zalgaz's Den"]                        = 477,

   -- Orsinium
   ["Wrothgar"]                            = 478,
   ["Nikolvara's Kennel"]                  = 479,
   ["Orsinium"]                            = 480,
   ["Orsinium Outlaws Refuge"]             = 481,
   ["Frostbreak Fortress"]                 = 482,
   ["Ice-Heart's Lair"]                    = 483,
   ["Scarp Keep"]                          = 484,
   ["Throne Room"]                         = 485,
   ["Temple of Ire"]                       = 486,
   ["Temple of Ire Rectory"]               = 487,
   ["Graystone Quarry Depths"]             = 488,
   ["Honor's Rest"]                        = 489,
   ["Arakaul's Memory"]                    = 490,
   ["Tamahl's Memory"]                     = 491,
   ["Reliana's Memory"]                    = 492,
   ["Bloody Knoll"]                        = 493,
   ["Coldperch Cavern"]                    = 494,
   ["Bonerock Caverns"]                    = 495,
   ["Morkul Stronghold"]                   = 496,
   ["Morkul Descent"]                      = 497,
   ["Morkuldin"]                           = 498,
   ["Exile's Barrow"]                      = 499,
   ["Zthenganaz"]                          = 500,
   ["Fharun Prison"]                       = 501,
   ["Fharun Stronghold"]                   = 502,
   ["Path of the Faithful"]                = 503,
   ["Sanctuary of Malacath"]               = 504,
   ["Sorrow"]                              = 505,
   ["Argent Mine"]                         = 506,
   ["Thukhozod's Sanctum"]                 = 507,
   ["Watcher's Hold"]                      = 508,
   ["Paragon's Remembrance"]               = 509,
   ["Chambers Of Loyalty"]                 = 510,
   ["Path to the Moot Library"]            = 511,
   ["Path to the Moot"]                    = 512,

   -- Thieves Guild
   ["Fulstrom Homestead"]                  = 513,
   ["Fulstrom Catacombs"]                  = 514,
   ["Abah's Landing"]                      = 515,
   ["Maw of Lorkhaj"]                      = 516,
   ["Thieves Den"]                         = 517,
   ["Hew's Bane"]                          = 518,
   ["Sulima Mansion"]                      = 519,
   ["Bahraha's Gloom"]                     = 520,
   ["Iron Wheel Headquarters"]             = 521,
   ["al-Danobia"]                          = 522,
   ["al-Danobia Tomb"]                     = 523,
   ["Shark's Teeth Grotto"]                = 524,
   ["Hubalajad Palace"]                    = 525,

   -- Dark Brotherhood
   ["Anvil"]                               = 526,
   ["Anvil Outlaws Refuge"]                = 527,
   ["Gold Coast"]                          = 528,
   ["Jarol Estate Wine Cellar"]            = 529,
   ["Jarol Estate Smuggling Tunnels"]      = 530,
   ["Hrota Cave"]                          = 531,
   ["Garlas Agea"]                         = 532,
   ["Dark Brotherhood Sanctuary"]          = 533,
   ["Kvatch"]                              = 534,
   ["At-Himah Estate"]                     = 535,
   ["At-Himah Estate Caves"]               = 536,
   ["Jerall Mountains"]                    = 537,
   ["Anvil Castle"]                        = 538,
   ["Castle Kvatch"]                       = 539,
   ["Castle Kvatch Vaults"]                = 540,
   ["Castle Kvatch Passage"]               = 541,
   ["Enclave of the Hourglass"]            = 542,
   ["Blackwood Borderlands"]               = 543,
   ["Xith-Izkul Sanctuary"]                = 544,
   ["Knightsgrave"]                        = 545,
   ["Cathedral of Akatosh"]                = 546,

   -- Vvardenfell
   ["Cold-Blood Cavern"]                   = 547,
   ["Dyzera's Realm"]                      = 548,
   ["Vvardenfell"]                         = 549,
   ["Andrano Ancestral Tomb"]              = 550,
   ["Vivec City"]                          = 551,
   ["Vivec City Outlaws Refuge"]           = 552,
   ["Saint Delyn Waistworks"]              = 553,
   ["Saint Delyn Guild Halls"]             = 554,
   ["Palace Receiving Room"]               = 555,
   ["Lord Vivec's Chambers"]               = 556,
   ["Library of Vivec"]                    = 557,
   ["Archcanon's Office"]                  = 558,
   ["Hall of Justice"]                     = 559,
   ["Sadrith Mora"]                        = 560,
   ["Dreloth Ancestral Tomb"]              = 561,
   ["Matus-Akin Egg Mine"]                 = 562,
   ["Barilzar's Tower"]                    = 563,
   ["Zaintiraris"]                         = 564,
   ["Dreudurai Glass Mine"]                = 565,
   ["Pulk"]                                = 566,
   ["Pinsun"]                              = 567,
   ["Zalkin-Sul Egg Mine"]                 = 568,
   ["Mzanchend"]                           = 569,
   ["Vassamsi Mine"]                       = 570,
   ["Tusenend"]                            = 571,
   ["Bal Ur"]                              = 572,
   ["Inanius Egg Mine"]                    = 573,
   ["Zainsipilu"]                          = 574,
   ["Firemoth Island"]                     = 575,
   ["Balmora"]                             = 576,
   ["Shulk Ore Mine"]                      = 577,
   ["Vassir-Didanat Mine"]                 = 578,
   ["Ashurnibibi"]                         = 579,
   ["Mallapi Cave"]                        = 580,
   ["Kudanant Mine"]                       = 581,
   ["Redoran Garrison"]                    = 582,
   ["Khartag Point"]                       = 583,
   ["Veloth Ancestral Tomb"]               = 584,
   ["Ramimilk"]                            = 585,
   ["Ashimanu Cave"]                       = 586,
   ["Hleran Ancestral Tomb"]               = 587,
   ["Bal Fell"]                            = 588,
   ["Gnisis Egg Mine"]                     = 589,
   ["Ashalmawia"]                          = 590,
   ["Prison of Xykenaz"]                   = 591,
   ["Cavern of the Incarnate"]             = 592,
   ["Skar"]                                = 593,
   ["Galom Daeus"]                         = 594,
   ["Nchuleft"]                            = 595,
   ["Nchuleft Depths"]                     = 596,
   ["Arkngthunch-Sturdumz"]                = 597,
   ["Kaushtarari"]                         = 598,
   ["Seht's Vault"]                        = 599,
   ["Maintenance Junction"]                = 600,
   ["Engineering Junction"]                = 601,
   ["The Divinity Atelier"]                = 602,
   ["Dockworks"]                           = 603,
   ["Engineering Access"]                  = 604,
   ["Atelier Courtyard"]                   = 605,
   ["Clavicus Vile Shrine"]                = 606,
	
   -- Clockwork City
   ["Dranil Kir Island"]                   = 607,
   ["Clockwork City Vaults"]               = 608,
   ["Clockwork City"]                      = 609,
   ["Brass Fortress"]                      = 610,
   ["Clockwork Basilica"]                  = 611,
   ["Serviflume"]                          = 612,
   ["Administration Nexus"]                = 613,
   ["Mechanical Fundament"]                = 614,
   ["Ventral Terminus"]                    = 615,
   ["Incarnatorium"]                       = 616,
   ["The Shadow Cleft"]                    = 617,
   ["Mnemonic Planisphere"]                = 618,
   ["Slag Town Outlaws Refuge"]            = 619,
   ["Evergloam"]                           = 620,
   ["Cogitum Centralis"]                   = 621,
   ["Everwound Wellspring"]                = 622,
   ["Halls of Regulation"]                 = 623,
	
   -- SUMMERSET
   ["Shimmerene"]                          = 624,
   ["Summerset"]                           = 625,
   ["Monastery Of Serene Harmony"]         = 626,
   ["Shimmerene Waterworks"]               = 627,
   ["Archon's Grove"]                      = 628,
   ["Artaeum"]                             = 629,
   ["Ceporah Tower"]                       = 630,
   ["Red Temple Catacombs"]                = 631,
   ["Rellenthil Sinkhole"]                 = 632,
   ["Cey-Tarn Keep"]                       = 633,
   ["The Gorge - Cey-Tarn Keep"]           = 634,
   ["The Vaults of Heinarwe"]              = 635,
   ["Altar Room"]                          = 636,
   ["Alinor"]                              = 637,
   ["Tor-Hame-Khard"]                      = 638,
   ["Alinor Royal Palace"]                 = 639,
   ["College of Psijics Ruins"]            = 640,
   ["Psijic Relic Vaults"]                 = 641,
   ["K'Tora's Mindscape"]                  = 642,
   ["Wasten Coraldale"]                    = 643,
   ["Eldbur Ruins"]                        = 644,
   ["Cainar's Mind Trap"]                  = 645,
   ["Miriya's Mind Trap"]                  = 646,
   ["Oriandra's Mind Trap"]                = 647,
   ["Direnni Acropolis"]                   = 648,
   ["Illumination Academy Stacks"]         = 649,
   ["Sea Keep"]                            = 650,
   ["Lillandril"]                          = 651,
   ["College of Sapiarchs Labyrinth"]      = 652,
   ["Saltbreeze Cave"]                     = 653,
   ["Alinor Outlaws Refuge"]               = 654,
   ["King's Haven Pass"]                   = 655,
   ["Coral-Splitter Caves"]                = 656,
   ["The Dreaming Cave"]                   = 657,
   ["Eton Nir Grotto"]                     = 658,
   ["The Spiral Skein"]                    = 659,
   ["Ebon Sanctum"]                        = 660,
   ["Traitor's Vault"]                     = 661,
   ["Evergloam"]                           = 662,
   ["Corgrad Wastes"]                      = 663,
   ["Cathedral of Webs"]                   = 664,
   ["Crystal Tower"]                       = 665,
	
   -- MURKMIRE
   ["The Sunless Hollow"]                  = 666,
   ["Norg-Tzel"]                           = 667,
   ["Norg-Tzel Xanmeer"]                   = 668,
   ["Lilmoth"]                             = 669,
   ["Murkmire"]                            = 670,
   ["Ixtaxh Xanmeer"]                      = 671,
   ["Bright-Throat Village"]               = 672,
   ["Blight Bog Sump"]                     = 673,
   ["Wither-Vault"]                        = 674,
   ["Dead-Water Village"]                  = 675,
   ["Tsofeer Cavern"]                      = 676,
   ["Tomb of Many Spears"]                 = 677,
   ["Swallowed Grove"]                     = 678,
   ["Teeth of Sithis"]                     = 679,
   ["Singing Grotto"]                      = 680,
   ["The Dreaming Nest"]                   = 681,
   ["The Mists"]                           = 682,
   ["Xul-Thuxis"]                          = 683,
   ["Root-Whisper Village"]                = 684,
   ["Vakka-Bok Xanmeer"]                   = 685,
   ["Deep-Root"]                           = 686,
   ["Remnant of Argon"]                    = 687,

   -- NORTHERN ELSWEYR
   ["New-Moons Chamber"]                   = 688,
   ["Dark-Moons Chamber"]                  = 689,
   ["Full-Moons Chamber"]                  = 690,
   ["Halls of Colossus"]                   = 691,
   ["Rimmen"]                              = 692,
   ["Northern Elsweyr"]                    = 693,
   ["Riverhold"]                           = 694,
   ["Abode of Ignominy"]                   = 695,
   ["Tomb of the Serpents"]                = 696,
   ["Smuggler's Hideout"]                  = 697,
   ["Predator Mesa"]                       = 698,
   ["Stitches"]                            = 699,
   ["Meirvale Keep Dungeons"]              = 700,
   ["Meirvale Keep Courtyard"]             = 701,
   ["Meirvale Keep Palace"]                = 702,
   ["Meirvale Keep Dugout"]                = 703,
   ["Sleepy Senche Mine"]                  = 704,
   ["Cicatrice Caverns"]                   = 705,
   ["Darkpool Mine"]                       = 706,
   ["Merryvale Sugar Farm Caves"]          = 707,
   ["Rimmen Palace Recesses"]              = 708,
   ["Desert Wind Caverns"]                 = 709,
   ["Hidden Moon Crypts"]                  = 710,
   ["Arum-Khal's Realm"]                   = 711,
   ["Hakoshae Tombs"]                      = 712,
   ["Tenarr Zelviit Ossuary"]              = 713,
   ["The Tangle"]                          = 714,
   ["Skooma Cat's Cloister"]               = 715,
   ["Rimmen Palace Crypts"]                = 716,
   ["Rimmen Palace"]                       = 717,
   ["Rimmen Palace Courtyard"]             = 718,
   ["Dov-Vahl Shrine"]                     = 719,
   ["Sepulcher of Mischance"]              = 720,
   ["Shadow Dance Temple"]                 = 721,
   ["Vault of Heavenly Scourge"]           = 722,
   ["Moon Gate of Anequina"]               = 723,
   ["Jode's Core"]                         = 724,
                    
   -- SOUTHERN ELSWEYR
   ["Wind Scour Temple"]                   = 725,
   ["Storm Talon Temple"]                  = 726,
   ["Dark Water Temple"]                   = 727,
   ["Vahlokzin's Domain"]                  = 728,
   ["Vahlokzin's Lair"]                    = 729,
   ["Senchal"]                             = 730,
   ["Senchal Palace"]                      = 731,
   ["Southern Elsweyr"]                    = 732,
   ["Tideholm"]                            = 733,
   ["Dragonguard Sanctum"]                 = 734,
   ["Moonlit Cove"]                        = 735,
   ["Passage of Dad'na Ghaten"]            = 736,
   ["Zazaradi's Quarry and Mine"]          = 737,
   ["Senchal Outlaws Refuge"]              = 738,
   ["Black Kiergo Arena"]                  = 739,
   ["Forsaken Citadel"]                    = 740,
   ["New Moon Fortress"]                   = 741,
   ["Halls of the Highmane"]               = 742,
   ["Path of Pride"]                       = 743,
   ["Doomstone Keep"]                      = 744,
   ["The Spilled Sand"]                    = 745,
   ["Dragonhold"]                          = 746,
   ["Jonelight Path"]                      = 747,
    
   -- Western Skyrim
   ["Riften Ratway"]                       = 748,
   ["Blackreach: Mzark Cavern"]            = 749,
   ["Palace Of Kings"]                     = 750,
   ["Western Skyrim"]                      = 751,
   ["Solitude"]                            = 752,
   ["Kilkreath Temple"]                    = 753,
   ["Shadowgreen"]                         = 754,
   ["Dragon Bridge Smuggler Caves"]        = 755,
   ["Dragonhome"]                          = 756,
   ["Mor Khazgur Mine"]                    = 757,
   ["Chillwind Depths"]                    = 758,
   ["Bleakridge Barrow"]                   = 759,
   ["Red Eagle Ridge"]                     = 760,
   ["Blackreach: Greymoor Caverns"]        = 761,
   ["Kagnthamz"]                           = 762,
   ["Verglas Hollow"]                      = 763,
   ["Frozen Coast"]                        = 764,
   ["Morthal Barrow"]                      = 765,
   ["Tzinghalis's Tower"]                  = 766,
   ["Lightless Hollow Mine"]               = 767,
   ["Blackreach: Dark Moon Grotto"]        = 768,
   ["The Scraps"]                          = 769,
   ["Midnight Barrow"]                     = 770,
   ["The Undergrove"]                      = 771,
   ["Greymoor Keep: West Wing"]            = 772,
   ["Greymoor Keep"]                       = 773,
   ["Gray Host Tunnels"]                   = 774,
    
   -- THE REACH
   ["Gray Host Sanctuary"]                 = 775,
   ["Grayhome"]                            = 776,
   ["Castle Grayhome"]                     = 777,
   ["Grayhome Ritual Chamber"]             = 778,
   ["The Reach"]                           = 779,
   ["Markarth"]                            = 780,
   ["Understone Keep"]                     = 781,
   ["Valthume"]                            = 782,
   ["Reachwind Depths"]                    = 783,
   ["Briar Rock Ruins"]                    = 784,
   ["Briar Rock Crypts"]                   = 785,
   ["Dead Crone Tower"]                    = 786,
   ["Sanuarach Mine"]                      = 787,
   ["Bthar-Zel"]                           = 788,
   ["Bthar-zel Vaults"]                    = 789,
   ["Blackreach: Arkthzand Cavern"]        = 790,
   ["Halls of Arkthzand"]                  = 791,
   ["Arkthzand Orrery"]                    = 792,
   ["Lost Valley Redoubt"]                 = 793,
   ["The Dark Descent"]                    = 794,
   ["Gloomreach"]                          = 795,
   ["Nighthollow Keep"]                    = 796,
   ["Chamber of the Dark Heart"]           = 797,
   ["Nchuand-Zel"]                         = 798,
   ["Nchuand-Zel Map"]                     = 799,
   ["Grayhaven"]                           = 800,
            
   -- Blackwood
   ["Imperial Cache Annex"]                = 801,
   ["Ne Salas Cache Annex"]                = 802,
   ["Imperial Sewers"]                     = 803,
   ["Deadlands"]                           = 804,
   ["Leyawiin"]                            = 805,
   ["Blackwood"]                           = 806,
   ["Undertow Cavern"]                     = 807,
   ["Borderwatch Sewers"]                  = 808,
   ["Borderwatch Courtyard"]               = 809,
   ["Borderwatch Keep"]                    = 810,
   ["Borderwatch Crypt"]                   = 811,
   ["Ayleid Ruins"]                        = 812,
   ["Veyond"]                              = 813,
   ["Arpenia"]                             = 814,
   ["Tidewater Cave"]                      = 815,
   ["Gideon"]                              = 816,
   ["Twyllbek Ruins"]                      = 817,
   ["Glenbridge Xanmeer"]                  = 818,
   ["Doomvault Porcixid"]                  = 819,
   ["Xal Irasotl"]                         = 820,
   ["Bloodrun Cave"]                       = 821,
   ["Welke"]                               = 822,
   ["Leyawiin Castle"]                     = 823,
   ["Xi-Tsei"]                             = 824,
   ["Stonewastes Keep"]                    = 825,
   ["Doomvault Capraxus"]                  = 826,
   ["Vandacia's Deadlands Keep"]           = 827,
   ["Vunalk"]                              = 828,
   ["Deadlands: The Ashen Forest"]         = 829,
   ["White Gold Tower Throne Room"]        = 830,
   ["Xynaa's Sanctuary"]                   = 831,
   ["Fort Redmane"]                        = 832,
   ["Ruction Ring"]                        = 833,
   ["Doomvault Vulpinaz Upper Level"]      = 834,
   ["Doomvault Vulpinaz Mid Level"]        = 835,
   ["Doomvault Vulpinaz Lower Level"]      = 836,
   ["Anchor Chamber"]                      = 837,
   ["Deepscorn Hollow"]                    = 838,

   -- Deadlands
   ["Lyranth's Hidden Lair"]               = 839,
   ["Waking Flame Camp"]                   = 840,
   ["Waking Flame Fargrave Conclave"]      = 841,
   ["Fargrave City District"]              = 842,
   ["The Deadlands"]                       = 843,
   ["The Bazaar"]                          = 844,
   ["The Shambles"]                        = 845,
   ["The Bathhouse"]                       = 846,
   ["The Collector's Villa"]               = 847,
   ["Burning Gyre Keep"]                   = 848,
   ["False Martyrs' Folly"]                = 849,
   ["Fleapits District"]                   = 850,
   ["Fort Grief"]                          = 851,
   ["Ardent Hope Outer Ward"]              = 852,
   ["Tower of Conviction"]                 = 853,
   ["Deadlight"]                           = 854,
   ["Deadlight Citadel"]                   = 855,
   ["Deadlight Summit"]                    = 856,
   ["Ardent Hope"]                         = 857,
   ["Ardent Hope Citadel"]                 = 858,
   ["The Path of Cinders"]                 = 859,
   ["Xarxes Crucible"]                     = 860,
   ["Brandfire Reformatory"]               = 861,
   ["Reformatory Forge"]                   = 862,
   ["Isle of Joys"]                        = 863,
   ["Hidden Chamber"]                      = 864,
   ["Destruction's Solace"]                = 865,
   ["Fort Sundercliff"]                    = 866,
    
   -- High Isle and Amenos
   ["Ascendant Order Hideout"]             = 867,
   ["Sareloth Grotto"]                     = 868,
   ["Sword's Rest Isle"]                   = 869,
   ["Sword's Rest Keep"]                   = 870,
   ["Sword's Rest Keep Basement"]          = 871,
   ["Gonfalon Bay"]                        = 872,
   ["Gonfalon Bay Outlaws Refuge"]         = 873,
   ["High Isle and Amenos"]                = 874,
   ["Abhain Chapel Crypts"]                = 875,
   ["Mysterious Cave"]                     = 876,
   ["Breakwater Cave"]                     = 877,
   ["Castle Navire"]                       = 878,
   ["Castle Navire Knight's Wing"]         = 879,
   ["Castle Navire Chapel"]                = 880,
   ["The Firepot"]                         = 881,
   ["Stonelore Grove"]                     = 882,
   ["The Undergrove"]                      = 883,
   ["Tarnished Grotto"]                    = 884,
   ["Garick's Rest"]                       = 885,
   ["Shipwreck Shoals"]                    = 886,
   ["Amenos Station"]                      = 887,
   ["Whalefall"]                           = 888,
   ["Systres Sisters Vault"]               = 889,
   ["Brokerock Mine"]                      = 890,
   ["Coral Cliffs"]                        = 891,
   ["Old Coin Fort"]                       = 892,
   ["Death's Valor Keep"]                  = 893,
   ["Mistmouth Cave"]                      = 894,
   ["Navire Dungeons"]                     = 895,
   ["All Flags Islet"]                     = 896,

   -- Firesong
   ["Eimhir's Cavern"]                     = 897,
   ["Glenmoril Ritual Site"]               = 898,
   ["Galen and Y'ffelon"]                  = 899,
   ["Suncleft Grotto"]                     = 900,
   ["Vastyr"]                              = 901,
   ["Vastyr Outlaws Refuge"]               = 902,
   ["Castle Mornard"]                      = 903,
   ["Draoife Dell"]                        = 904,
   ["Castle Tonnere Dungeons"]             = 905,
   ["Castle Tonnere Courtyard"]            = 906,
   ["Eldertide Hollow"]                    = 907,
   ["Embervine"]                           = 908,
   ["Sea Witch Sanctum"]                   = 909,
   ["Yfrees Path"]                         = 910,
   ["Clohaigh"]                            = 911,
   ["Fauns' Thicket"]                      = 912,
   ["Vastyr Cathedral District"]           = 913,
   ["Vastyr Old Druid Tunnels"]            = 914,
   ["Ivyhame"]                             = 915,
   ["Temple of Y'ffelon"]                  = 916,
   ["The Mad Maiden"]                      = 917,
   ["Y'ffelon"]                            = 918,
   ["Garrick's Rest Dungeons"]             = 919,
   ["Steadfast Manor Cellars"]             = 920,
   ["Ancient Druid Circle"]                = 921,
   ["Mount Firesong"]                      = 922,

   -- Telvanni Peninsula
   ["Emerald Glypic Vault"]                = 923,
   ["Shrine of the Golden Eye"]            = 924,
   ["Telvanni Peninsula"]                  = 925,
   ["Anchre Egg Mine"]                     = 926,
   ["Necrom"]                              = 927,
   ["Necrom Underways"]                    = 928,
   ["Necrom Necropolis"]                   = 929,
   ["Necropolis Catacombs"]                = 930,
   ["Necrom Outlaws Refuge"]               = 931,
   ["Tel Rendys"]                          = 932,
   ["Camonnaruhn"]                         = 933,
   ["Ald Isra"]                            = 934,
   ["Tel Dreloth"]                         = 935,
   ["Sailenmora Crypts"]                   = 936,
   ["Old Sailenmora Outpost"]              = 937,
   ["Tel Baro Cavern"]                     = 938,
   ["Kemel-Ze"]                            = 939,
   ["Alavelis Glass Mine"]                 = 940,
   ["Apocrypha"]                           = 941,
   ["Obscured Forum"]                      = 942,
   ["The Tranquil Catalog"]                = 943,
   ["Shrine of Hyrma Mora"]                = 944,
   ["Shrine of Herma-Mora"]                = 945,
   ["Shrine of Hermorah"]                  = 946,
   ["Catalog Boss Location"]               = 947,
   ["Pool of Inquiry"]                     = 948,
   ["The Disquiet Study"]                  = 949,
   ["Cipher's Midden"]                     = 950,
   ["Central Orphic Tunnels"]              = 951,
   ["Northern Orphic Tunnels"]             = 952,
   ["Cenotaph Fundament"]                  = 953,
   ["Courtyard of Communion"]              = 954,
   ["Cenotaph Rise"]                       = 955,
   ["Cathedral of Hermaeus Mora"]          = 956,
   ["The Crux"]                            = 957,
   ["Rectory Network"]                     = 958,
   ["Fathoms Drift"]                       = 959,
   ["The Forbidden Exhibit"]               = 960,
   ["The Infinite Panopticon"]             = 961,
   ["Tel Huulen Assembly Halls"]           = 962,
   ["The Mythos Vaults"]                   = 963,
   ["Quires Wind"]                         = 964,
   ["Apogee of the Tormenting Eye"]        = 965,
   ["The Sidereal Cloisters"]              = 966,
   ["The Mythos"]                          = 967,
   ["Gorne"]                               = 968,
   ["Underweave Courtyard"]                = 969,
   ["Underweave Nullifactory"]             = 970,
   ["Underweave Heart"]                    = 971,
   ["Martina's Sanctum"]                   = 972,
	
   -- Tutorial
   ["Balfiera Ruins"]                      = 973,
   ["Isle of Balfiera"]                    = 974,
   ["Keywright's Gallery"]                 = 975,
}

   -----------------------------------------
   -- HELPER FUNCTIONS
   -----------------------------------------

function Data:CollectMapIds()
	local sv = CGV.sv.profile
	sv.mapids = {}

	for i = 0,1000 do
		local loczone, _ = _G.GetZoneInfo(i)
		sv.mapids[loczone] = i
	end
end
